This config should be located at `~/.config/nvim/init.lua`.

Install this config with:
```
ln -s $PWD/nvim/ ~/.config/nvim
```

Dependencies can be installed (via brew) with:
```
brew install fzf bat ripgrep the_silver_searcher perl universal-ctags fd
```

# Quirks and Features
- Use `:Lazy` to manage plugins.
- Use `F2` to rename symbols (VSCode style)
- Arrow keys have been disabled
- Use `ctrl` + `p` to open a file in a new buffer,
switch between them with arrow keys
- Use `:Rg` to quick search files via Ripgrep and open the selected
  result
  in a new buffer
- Use `:Ag` for `awk` style searching
- This is always a thing, but just in case you weren't aware, jump up
or down lines by doing `x+`, or `x-`, where x is the number of lines you
want to move.

